<div class="account l-container-narrow u-margin-tb-50">
  <app-text-link
    class="heading-back-link"
    caret="left"
    [routerLink]="['/account']"
    >Account Management</app-text-link
  >

  <h2 class="heading-main heading-main--pad-bottom">Change Backup Code</h2>

  <div class="register-step__feedback">
    <span class="register-step__feedback__static-element">
      Replace your old backup code with a new one.<br />Not sure what this is?
      <app-text-link
        [link]="['/account/forgot-password']"
        id="btn-signin"
        caret="right"
      >
        Learn&nbsp;more
      </app-text-link>
    </span>
  </div>

  <form novalidate [ngrxFormState]="form" (submit)="onSubmit()">
    <app-non-field-messages
      [messages]="nonFieldErrors"
    ></app-non-field-messages>

    <div class="form-field form-field--large">
      <app-form-label
        [isLarge]="true"
        [isComplete]="hasFinished"
        [class.u-margin-b-20]="hasFinished"
      >
        Verify Password
      </app-form-label>

      <div *ngIf="!hasFinished" class="form-field__input-with-actions">
        <input
          #passwordInput
          name="oldPassword"
          [type]="form.value.showConfirm ? 'password' : 'text'"
          [ngrxFormControlState]="form.controls.oldPassword"
          class="form-field__input form-field__input--one-action"
          [class.form-field__input--invalid]="
            form.errors._oldPassword && form.isSubmitted
          "
          [disabled]="hasFinished"
          autocomplete="off"
        />
        <div class="form-field__actions">
          <button
            type="button"
            tabindex="-1"
            (click)="toggleShowConfirm.emit()"
            class="form-field__action"
          >
            <div
              class="button__icon button__icon--no-text"
              [inlineSVG]="
                form.value.showConfirm
                  ? '../assets/svg/eye.svg'
                  : '../assets/svg/eye-slash.svg'
              "
            ></div>
          </button>
        </div>
      </div>
    </div>

    <div *ngIf="!hasFinished">
      <ul
        *ngIf="form.errors._oldPassword && form.isSubmitted"
        class="form-field__error-list"
      >
        <li *ngIf="form.errors._oldPassword.required" class="form-field__error">
          You must enter your current password
        </li>
        <li
          *ngIf="form.errors._oldPassword.minLength"
          class="form-field__error"
        >
          Password must be at least
          {{ form.errors._oldPassword.minLength.minLength }} characters long.
        </li>
      </ul>
      <div class="manage-backup-code__actions">
        <button
          type="submit"
          class="button button--primary"
          [disabled]="hasStarted"
        >
          Next
        </button>
        <progress-indicator
          [inProgress]="hasStarted"
          inProgressText="Verifying"
        ></progress-indicator>
      </div>
    </div>
  </form>

  <app-download-backup-code
    [hasFinished]="hasFinished"
    class="register-step__feedback"
    [code]="backupCode"
  >
  </app-download-backup-code>
</div>
